import { PureComponent } from 'react';
export interface ChartComProps {
    /** Chart js 的 data */
    data: {};
    /** Chart js 的  options */
    options: {};
    /** Chart js 的 type */
    type?: string;
    /** ID */
    id: string;
    /** height */
    height?: string | number;
    /** width */
    width?: string | number;
}
interface ChartComState {
    loading: boolean;
}
export default class ChartCom extends PureComponent<ChartComProps, ChartComState> {
    /**
     * 设置 Chart js 库的获取地址
     *
     * @static
     * @memberof ChartCom
     * @public
     */
    static setChartJSPath: (path: any) => void;
    static defaultProps: {
        type: string;
        id: string;
        height: string;
        width: string;
    };
    Chart: any;
    timer: any;
    lineChart: any;
    constructor(props: any);
    componentWillUnmount: () => void;
    loadChart: (callback: any) => Promise<void>;
    renderChart: () => void;
    _renderChart: () => void;
    render(): JSX.Element;
}
export {};
