import { Component } from 'react';
import { ModalProps } from './modal';
export interface ModalConfig {
    title?: string;
    isOpen: boolean;
    children: any;
    id: string;
}
export interface ModalHelperState {
    modalSetting: ModalConfig;
}
export default class ModalHelper<P extends ModalProps = ModalProps> extends Component<P, ModalHelperState> {
    constructor(props: any);
    showModal: () => void;
    setModal: (nextSetting: any) => void;
    closeModal: () => void;
}
