var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
/**
 * 帮助组件修改名字的辅助函数
 *
 * @param {component} NewComponent 新的 component
 * @param {string} oldComponentName 旧的 component 的显示名字
 * @param {string} newComponentName 新的 component 的显示名字
 */
var Rename = function (NewComponent, oldComponentName, newComponentName) {
    return function (props) {
        console.warn(oldComponentName + " \u8981\u5E9F\u5F03\u4E86\uFF0C\u8BF7\u4F7F\u7528 " + newComponentName + " \u4EE3\u66FF");
        return (React.createElement(NewComponent, __assign({}, props)));
    };
};
export default Rename;
