import React from 'react';
export interface TabProps {
    /** tab 的显示名 */
    label: string;
    /** tab 的 icon */
    icon?: string;
    /** tab 的 className */
    labelClass?: string;
    /** content 的 className */
    contentClass?: string;
    /** 第几个 idx，Tabs 会传入 */
    idx?: number;
    /** 改变激活的 tab 位置时的回调 */
    onChange?: (changeEvent: any) => void;
    /** 改变激活的 tab 位置时的回调 */
    onClick?: (clickEvent: any) => void;
}
declare const Tab: React.SFC<TabProps>;
export default Tab;
