import { PureComponent } from 'react';
/**
 * 简易的提示组件
 *
 * @export
 * @class Toast
 * @extends {PureComponent}
 */
export default class Toast extends PureComponent {
    state: {
        descQueue: {};
    };
    timerQueue: {};
    __unmount: any;
    componentWillUnmount(): void;
    /**
     * 用于打开一个 toast
     *
     * @param {*} desc
     * @param {string} [type='desc']
     * @memberof Toast
     * @public
     */
    show(desc: any, type?: string, timer?: number): void;
    clearTimer(): void;
    hideTip(tipID: any): void;
    clearTip(): void;
    render(): JSX.Element;
}
