export var ThemeColor = [
    'theme',
];
export var ExampleColors = [
    // nature color
    // 'theme',
    'blue',
    'green',
    'orange',
    'red',
    'default',
];
export var NatureColors = [
    // nature color
    'blue',
    'light-blue',
    'cyan',
    'green',
    'yellow',
    'orange',
    'red',
    'purple',
];
export var GrayscaleColors = [
    // Grayscale
    'white',
    'black',
    'grey',
    'default',
];
export var StatusColors = [
    // status color
    'important',
    'primary',
    'danger',
    'error',
    'success',
    'warn',
    'warm',
];
export var ColorGroup = ThemeColor.concat(NatureColors, GrayscaleColors, StatusColors);
/**
 * 遍历颜色系统选项
 * @param Colors
 */
export var ForEachColor = function (Colors) {
    if (Colors === void 0) { Colors = ExampleColors; }
    return function (getComponent) {
        if (!getComponent)
            return null;
        return Colors.map(function (color, idx) { return getComponent(color, idx); });
    };
};
