interface GetElementOffsetReturn {
    offsetLeft: number;
    offsetTop: number;
}
/**
 * 获取元素的 OffsetLeft 和 OffsetTop 信息，包括滚动后的偏移量
 */
export declare function getElementOffset(element: any): GetElementOffsetReturn;
/**
 * 获取元素的 offsetLeft
 */
export declare function getElementLeft(element: any): number;
/**
 * 获取元素的 offsetTop
 */
export declare function getElementTop(element: any): number;
/**
 * 获取元素的 Offset 信息
 */
export declare function getElementOffsetInfo(element: any): {
    offsetHeight: any;
    offsetWidth: any;
    offsetLeft: number;
    offsetTop: number;
};
export {};
