import React from 'react';
import { MenuProps } from './menu';
import { DivideType } from '../utils/props';
export interface MenuItemData extends MenuProps {
    /** 点击 Menu 的回调 */
    action?: (event?: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
}
export interface MenusProps {
    /** Menus 数据，可以为 Menu 的数据结构，如果为 '-' 或 'hr'，则渲染分隔线 */
    data?: (MenuItemData | DivideType)[];
}
declare const Menus: React.SFC<MenusProps>;
export default Menus;
