/// <reference types="react" />
import MapperFilter, { KeyMapperItem } from './mapper-filter';
interface DescHelperKeyMapper extends KeyMapperItem {
    /** 是否独占一行 */
    block?: boolean;
}
export interface DescHelperProps {
    keyMapper: DescHelperKeyMapper[];
    /** records 中的项 */
    record: {
        [key: string]: any;
    };
    /** 是否使用竖列显示 */
    col?: boolean;
    /** className */
    className?: string;
}
/**
 * 具体单独数据的渲染模版
 *
 * @export
 * @class DescHelper
 * @extends {MapperFilter}
 */
export default class DescHelper extends MapperFilter<DescHelperProps> {
    render(): JSX.Element;
}
export {};
