import React from 'react';
export interface StepProps {
    /** 标题 */
    title?: string;
    /** 不同类型的样式 */
    type?: 'success' | 'normal' | 'wran' | 'error';
    /** 由 Steps 传入 */
    idx?: number;
    /** 由 Steps 传入 */
    isActive?: boolean;
    /** 由 Steps 传入 */
    isChecked?: boolean;
    /** 由 Steps 传入 */
    style?: React.CSSProperties;
}
declare const Step: React.SFC<StepProps>;
export default Step;
