interface LoadParams {
    src: string;
    onload?: (loadedEvent: any) => void;
}
interface LoadStuffParams extends LoadParams {
    type: string;
}
/**
 * 加载外部资源
 */
export declare function LoadStuff(params: LoadStuffParams): Promise<{}>;
/**
 * 加载 link
 *
 * @param {object} options { src: string, onload: func }
 */
export declare function LoadLink(options: LoadParams): Promise<{}>;
/**
 * 加载 script
 *
 * @param {object} options { src: string, onload: func }
 */
export declare function LoadScript(options: LoadParams): Promise<{}>;
export {};
